#
# Conditional build:
%bcond_with	bootstrap	# no ffmpeg/gpac support in x264 utility
#
%define		snap	20130827
%define		snaph	2245
%define		rel	1
Summary:	H264 encoder library
Summary(pl.UTF-8):	Biblioteka kodująca H264
Name:		libx264
Version:	0.1.3
Release:	1.%{snap}_%{snaph}.%{rel}
License:	GPL v2+
Group:		Libraries
# still no releases, use snapshots
Source0:	ftp://ftp.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-%{snap}-%{snaph}.tar.bz2
# Source0-md5:	75ad3e023fbe87eff3efd6eaf15162be
Patch0:		%{name}-alpha.patch
Patch1:		altivec-no-vand.patch
Patch2:		%{name}-gpac.patch
URL:		http://www.videolan.org/developers/x264.html
BuildRequires:	pkgconfig
%ifarch %{ix86} %{x8664}
BuildRequires:	yasm >= 0.6.0
%endif
%if %{without bootstrap}
# which version exactly???
# for full x264 CLI utility functionality it wants:
# libswscale >= 0.9.0 (in pkgconfig file)
# libav{format,codec,util} from ffmpeg >= r21854
BuildRequires:	ffmpeg-devel >= 0.7.1
BuildRequires:	ffmpegsource-devel >= 2.16
# gpac >= 2007-06-21
BuildRequires:	gpac-devel >= 0.5.0-3
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# encoder/macroblock.c breaks strict-aliasing rules
%define		specflags	-fno-strict-aliasing

%description
libx264 library for encoding H264 video format.

%description -l pl.UTF-8
Biblioteka libx264 do kodowania w formacie obrazu H264.

%package devel
Summary:	Header files for x264 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki x264
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for x264 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki x264.

%package static
Summary:	Static x264 library
Summary(pl.UTF-8):	Statyczna biblioteka x264
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static x264 library.

%description static -l pl.UTF-8
Statyczna biblioteka x264.

%package -n x264
Summary:	x264 CLI decoder
Summary(pl.UTF-8):	Dekoder x264 działający z linii poleceń
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
%if %{without bootstrap}
Requires:	gpac >= 0.5.0-3
%endif

%description -n x264
x264 CLI decoder.

%description -n x264 -l pl.UTF-8
Dekoder x264 działający z linii poleceń.

%prep
%setup -q -n x264-snapshot-%{snap}-%{snaph}
%patch0 -p1
%if "%{pld_release}" == "ac"
%patch1 -p1
%endif
%patch2 -p1

%build
CC="%{__cc}" \
./configure \
	--prefix=%{_prefix} \
	--exec-prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--includedir=%{_includedir} \
	--libdir=%{_libdir} \
	--extra-cflags="%{rpmcflags}" \
	--enable-pic \
	--enable-shared \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_libdir}/libx264.so.138

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libx264.so
%{_includedir}/x264.h
%{_includedir}/x264_config.h
%{_pkgconfigdir}/x264.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libx264.a

%files -n x264
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/x264
%changelog
* Wed Aug 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libx264.git;a=log;h=master

* Wed Aug 28 2013 Jan Rękorajski <baggins@pld-linux.org> bd15fec
- new soname

* Wed Aug 28 2013 Jan Rękorajski <baggins@pld-linux.org> 7d6d395
- rel 1

* Wed Aug 28 2013 Jan Rękorajski <baggins@pld-linux.org> 17deb33
- up to 20130827 snapshot

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b07e85f
- release 8 (by relup.sh)

* Thu Nov 08 2012 Jan Rękorajski <baggins@pld-linux.org> 9dcf5e7
- rel 7

* Sat Oct 06 2012 Jakub Bogusz <qboosh@pld-linux.org> fa46452
- release 6: rebuild with gpac on DirectFB 1.6.x

* Fri Oct 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 2cdf920
- rel 5.1 for bootstrap build

* Fri Oct 05 2012 Jakub Bogusz <qboosh@pld-linux.org> c6f8df1
- moved gpac dependency where it belongs (x264 package)

* Tue Oct 02 2012 Jan Rękorajski <baggins@pld-linux.org> 199c0c2
- updated gpac R/BR to version that exports all needed functions
- rel 5

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> 22730a2
- Rebuild with gpac 0.5.0
Release 4

* Mon Jul 09 2012 Marcin Krol <hawk@tld-linux.org> 6c764f2
- release 3

* Sat Apr 28 2012 Jan Rękorajski <baggins@pld-linux.org> 098c750
- rel 2

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 405256d
- up to 20120302

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 51b0ce2
- release 2

* Fri Dec 16 2011 Jakub Bogusz <qboosh@pld-linux.org> be9a44e
- bootstrap bcond desc

* Fri Dec 16 2011 Jakub Bogusz <qboosh@pld-linux.org> 69ae4ee
- mention ABI version in changelog

* Tue Dec 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 848da20
- up to 20111212_2245 [ABI 120]

* Tue Oct 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 207c156
- note ABI version in changelog

* Wed Sep 28 2011 lisu <lisu@pld-linux.org> 3dfd3a6
- obsoleted

* Wed Sep 28 2011 lisu <lisu@pld-linux.org> e60005d
- updated to 20110927 [ABI 118]
- ffmpeg.patch is no longer needed

